Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Log4j 1.2.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.lf5
Interface LogRecordFilter

All Known Implementing Classes:
  PassingLogRecordFilter

public interface LogRecordFilter

An interface for classes which filters LogRecords. Implementations represent a rule or condition which LogRecords may pass or fail.

Author:
  Richard Wan
See Also:
  `LogRecord`

Method Summary
`boolean` | `passes(LogRecord record)`

Method Detail

### passes

    public boolean passes(LogRecord record)

  Returns:
    true if the specified LogRecord satisfies whatever condition implementing class tests for.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Log4j 1.2.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2000-2002 Apache Software Foundation.